# v4l2_ctrl_videodec_statusmetadata_ Struct Reference
[V4L2 Video Decoder]

Holds the decoder error status metadata for the frame. More...

`#include <v4l2_nv_extensions.h>`

List of all members.

## Public Attributes

__u32 | DecodeError
| Error types: bit 0: Fatal bit 1: MB level syntax bit 2: Missing Slice(s) bit 3: PrevFrameLostFlag.
__u32 | DecodedMBs
| Number of Macro blocks decoded without error.
__u32 | ConcealedMBs
| Number of Macro blocks where error was concealed.
__u32 | nConcealedFromPOC
| POC of the reference frame used for concealment.
__u32 | FrameDecodeTime
| Time required to decode the frame, in microseconds.

## Detailed Description

Holds the decoder error status metadata for the frame.

Definition at line 821 of file v4l2_nv_extensions.h.

## Member Data Documentation

__u32 v4l2_ctrl_videodec_statusmetadata_::ConcealedMBs

Number of Macro blocks where error was concealed.

Definition at line 832 of file v4l2_nv_extensions.h.

__u32 v4l2_ctrl_videodec_statusmetadata_::DecodedMBs

Number of Macro blocks decoded without error.

Definition at line 830 of file v4l2_nv_extensions.h.

__u32 v4l2_ctrl_videodec_statusmetadata_::DecodeError

Error types: bit 0: Fatal bit 1: MB level syntax bit 2: Missing Slice(s) bit 3: PrevFrameLostFlag.

Definition at line 828 of file v4l2_nv_extensions.h.

__u32 v4l2_ctrl_videodec_statusmetadata_::FrameDecodeTime

Time required to decode the frame, in microseconds.

Definition at line 836 of file v4l2_nv_extensions.h.

__u32 v4l2_ctrl_videodec_statusmetadata_::nConcealedFromPOC

POC of the reference frame used for concealment.

Definition at line 834 of file v4l2_nv_extensions.h.

The documentation for this struct was generated from the following file:

- include/v4l2_nv_extensions.h